Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.RectF Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | RectF ()
| Construct an empty rectangle.
def | RectF (left1, bottom1, right1, top1)
| Construct a rectangle with left-bottom and right-top corners. More...
def | RectF (rect)
| Construct a rectangle with a rectangle object. More...
def | Contains (other_rect)
| Check if current rectangle fully contains the other provided rectangle. That means to check if the other rectangle is fully inside current one. More...
def | Contains (x, y)
| Check if current rectangle fully contains the provided point. That means to check if the provided point is inside current rectangle. More...
def | Deflate (left, bottom, right, top)
| Decreases the width and height of the rectangle. More...
def | Deflate (rt)
| Decreases the width and height of the rectangle. More...
def | GetClosestRect ()
| Get a closest integer rectangle. More...
def | GetInnerRect ()
| Convert to an inner integer rectangle. More...
def | GetOutterRect ()
| Convert to an outer integer rectangle. More...
def | Height ()
| Get the height of the rectangle. More...
def | Inflate (left, bottom, right, top)
| Increases the width and height of the rectangle. More...
def | Inflate (rt)
| Increases the width and height of the rectangle. More...
def | InitRect (x, y)
| Initialize the rectangle to a single point. More...
def | Intersect (other_rect)
| Intersect with a rect. More...
def | IsEmpty ()
| Verify whether the rect is empty. More...
def | Normalize ()
| Normalize the rect. Make sure left <= right, and bottom <= top. More...
def | Reset ()
| Reset rectangle, set coordinates to 0. More...
def | Transform (pMatrix)
| Transform a rectangle. The result rectangle is always normalized. More...
def | Translate (e, f)
| Translate rectangle. More...
def | Union (other_rect)
| Union with a rect. More...
def | UpdateRect (x, y)
| Update the rectangle to contain the specified point. More...
def | Width ()
| Get the width of the rectangle. More...

## Static Public Member Functions
def | GetBBox (pPoints, nPoints)
| Get the bounding box of input points array. More...

## Static Public Attributes
| bottom = _fsdk.RectF_bottom
| The bottom.
| left = _fsdk.RectF_left
| The left.
| right = _fsdk.RectF_right
| The right.
| top = _fsdk.RectF_top
| The top.

## Detailed Description

A float-point coordination rectangle. A normalized float-point rectangle always has top larger than bottom, which is the opposite of Windows rectangle.

## Constructor & Destructor Documentation

## ◆ RectF() [1/2]

FoxitPDFSDKPython2.RectF.RectF | ( |  | left1,
|  |  | bottom1,
|  |  | right1,
|  |  | top1
| ) |  |

Construct a rectangle with left-bottom and right-top corners.

Parameters

  [in] | left1 | The x-coordinate of the input left-bottom corner.
  [in] | bottom1 | The y-coordinate of the input left-bottom corner.
  [in] | right1 | The x-coordinate of the input right-top corner.
  [in] | top1 | The y-coordinate of the input right-top corner.

## ◆ RectF() [2/2]

FoxitPDFSDKPython2.RectF.RectF | ( |  | rect | ) |

Construct a rectangle with a rectangle object.

Parameters

  [in] | rect | The input rectangle object.

## Member Function Documentation

## ◆ Contains() [1/2]

def FoxitPDFSDKPython2.RectF.Contains | ( |  | other_rect | ) |

Check if current rectangle fully contains the other provided rectangle. That means to check if the other rectangle is fully inside current one.

Parameters

  [in] | other_rect | The other provided rect.

Returns
  true means current rectangle fully contains the other one, while false means not.

## ◆ Contains() [2/2]

def FoxitPDFSDKPython2.RectF.Contains | ( |  | x,
|  |  | y
| ) |  |

Check if current rectangle fully contains the provided point. That means to check if the provided point is inside current rectangle.

Parameters

  [in] | x | The x coordinate of the provided point.
  [in] | y | The y coordinate of the provided point.

Returns
  true means current rectangle contains the provided point, while false means not.

## ◆ Deflate() [1/2]

def FoxitPDFSDKPython2.RectF.Deflate | ( |  | left,
|  |  | bottom,
|  |  | right,
|  |  | top
| ) |  |

Decreases the width and height of the rectangle.

Parameters

  [in] | left | The number to deflate the left of the rectangle.
  [in] | bottom | The number to deflate the bottom of the rectangle.
  [in] | right | The number to deflate the right of the rectangle.
  [in] | top | The number to deflate the top of the rectangle.

Returns
  None.

## ◆ Deflate() [2/2]

def FoxitPDFSDKPython2.RectF.Deflate | ( |  | rt | ) |

Decreases the width and height of the rectangle.

Parameters

  [in] | rt | The rectangle to deflate each side.

Returns
  None.

## ◆ GetBBox()

FoxitPDFSDKPython2.RectF.GetBBox | ( |  | pPoints,
|  |  | nPoints
| ) |  |
| static

Get the bounding box of input points array.

Parameters

  [in] | pPoints | The input points array.
  [in] | nPoints | The number of points in the array.

Returns
  A floating-point coordination rectangle.

## ◆ GetClosestRect()

def FoxitPDFSDKPython2.RectF.GetClosestRect | ( |  | ) |

Get a closest integer rectangle.

Returns
  The closest integer rectangle.

## ◆ GetInnerRect()

def FoxitPDFSDKPython2.RectF.GetInnerRect | ( |  | ) |

Convert to an inner integer rectangle.

Returns
  The inner integer rectangle.

## ◆ GetOutterRect()

def FoxitPDFSDKPython2.RectF.GetOutterRect | ( |  | ) |

Convert to an outer integer rectangle.

Returns
  The outer integer rectangle.

## ◆ Height()

def FoxitPDFSDKPython2.RectF.Height | ( |  | ) |

Get the height of the rectangle.

Returns
  Height of the rectangle.

## ◆ Inflate() [1/2]

def FoxitPDFSDKPython2.RectF.Inflate | ( |  | left,
|  |  | bottom,
|  |  | right,
|  |  | top
| ) |  |

Increases the width and height of the rectangle.

Parameters

  [in] | left | The number to inflate the left of the rectangle.
  [in] | bottom | The number to inflate the bottom of the rectangle.
  [in] | right | The number to inflate the right of the rectangle.
  [in] | top | The number to inflate the top of the rectangle.

Returns
  None.

## ◆ Inflate() [2/2]

def FoxitPDFSDKPython2.RectF.Inflate | ( |  | rt | ) |

Increases the width and height of the rectangle.

Parameters

  [in] | rt | The rectangle to inflate each side.

Returns
  None.

## ◆ InitRect()

def FoxitPDFSDKPython2.RectF.InitRect | ( |  | x,
|  |  | y
| ) |  |

Initialize the rectangle to a single point.

Parameters

  [in] | x | The x-coordinate of the input point.
  [in] | y | The y-coordinate of the input point.

Returns
  None.

## ◆ Intersect()

def FoxitPDFSDKPython2.RectF.Intersect | ( |  | other_rect | ) |

Intersect with a rect.

Parameters

  [in] | other_rect | The rect to intersect with.

Returns
  None.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.RectF.IsEmpty | ( |  | ) |

Verify whether the rect is empty.

Returns
  true meanas current rect is empty, while false means not.

## ◆ Normalize()

def FoxitPDFSDKPython2.RectF.Normalize | ( |  | ) |

Normalize the rect. Make sure left <= right, and bottom <= top.

Returns
  None.

## ◆ Reset()

def FoxitPDFSDKPython2.RectF.Reset | ( |  | ) |

Reset rectangle, set coordinates to 0.

Returns
  None.

## ◆ Transform()

def FoxitPDFSDKPython2.RectF.Transform | ( |  | pMatrix | ) |

Transform a rectangle. The result rectangle is always normalized.

Parameters

  [in] | pMatrix | The transformation matrix.

Returns
  None.

## ◆ Translate()

def FoxitPDFSDKPython2.RectF.Translate | ( |  | e,
|  |  | f
| ) |  |

Translate rectangle.

Parameters

  [in] | e | Offset in X-axis.
  [in] | f | Offset in Y-axis.

Returns
  None.

## ◆ Union()

def FoxitPDFSDKPython2.RectF.Union | ( |  | other_rect | ) |

Union with a rect.

Parameters

  [in] | other_rect | The rect to union with.

Returns
  None.

## ◆ UpdateRect()

def FoxitPDFSDKPython2.RectF.UpdateRect | ( |  | x,
|  |  | y
| ) |  |

Update the rectangle to contain the specified point.

Parameters

  [in] | x | The x-coordinate of the input point.
  [in] | y | The y-coordinate of the input point.

Returns
  None.

## ◆ Width()

def FoxitPDFSDKPython2.RectF.Width | ( |  | ) |

Get the width of the rectangle.

Returns
  Width of the rectangle.